Package com.collibra.dgc.core.api.dto.user

# Class ChangeUserRequest

Object
ChangeUserRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeUserRequest extends Object implements Serializable
The properties of the user to be changed.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ChangeUserRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeUserRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeUserRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<Email>`
  `getAdditionalEmailAddresses()`
  The additional e-mail addresses of the user.
  `List<Address>`
  `getAddresses()`
  The postal addresses of the user.
  `String`
  `getDepartment()`
  The organizational department of the user.
  `String`
  `getEmail()`
  The new e-mail address for the user.
  `Boolean`
  `getEnabled()`
  The new enabled flag for the user.
  `String`
  `getFirstName()`
  The new first name for the user.
  `Gender`
  `getGender()`
  The new gender for the user.
  `UUID`
  `getId()`
  Required. The ID of the user to be changed.
  `List<InstantMessagingAccount>`
  `getInstantMessagingAccounts()`
  The instant messaging accounts of the user.
  `String`
  `getLanguage()`
  The new language for the user.
  `String`
  `getLastName()`
  The new last name for the user.
  `LicenseType`
  `getLicenseType()`
  Deprecated.
  `String`
  `getPasswordConfirmation()`
  The password confirmation for the user when changing their email.
  `List<PhoneNumber>`
  `getPhones()`
  The phone numbers of the user.
  `String`
  `getTitle()`
  The organizational title of the user.
  `String`
  `getUsername()`
  The new username for the user.
  `List<Website>`
  `getWebsites()`
  The websites of the user.
  `int`
  `hashCode()`
  `void`
  `setAdditionalEmailAddresses(List<Email> additionalEmailAddresses)`
  The additional e-mail addresses of the user.
  `void`
  `setAddresses(List<Address> addresses)`
  The postal addresses of the user.
  `void`
  `setDepartment(String department)`
  The organizational department of the user.
  `void`
  `setEmail(String email)`
  The new e-mail address for the user.
  `void`
  `setEnabled(Boolean enabled)`
  The new enabled flag for the user.
  `void`
  `setFirstName(String firstName)`
  The new first name for the user.
  `void`
  `setGender(Gender gender)`
  The new gender for the user.
  `void`
  `setId(UUID id)`
  Required. The ID of the user to be changed.
  `void`
  `setInstantMessagingAccounts(List<InstantMessagingAccount> instantMessagingAccounts)`
  The instant messaging accounts of the user.
  `void`
  `setLanguage(String language)`
  The new language for the user.
  `void`
  `setLastName(String lastName)`
  The new last name for the user.
  `void`
  `setLicenseType(LicenseType licenseType)`
  Deprecated.
  `void`
  `setPasswordConfirmation(String passwordConfirmation)`
  The password confirmation for the user when changing their email.
  `void`
  `setPhones(List<PhoneNumber> phones)`
  The phone numbers of the user.
  `void`
  `setTitle(String title)`
  The organizational title of the user.
  `void`
  `setUsername(String username)`
  The new username for the user.
  `void`
  `setWebsites(List<Website> websites)`
  The websites of the user.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeUserRequest

    public ChangeUserRequest()

- ## Method Details

  - ### builder

    public static ChangeUserRequest.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the user to be changed.

  - ### getEnabled

    public Boolean getEnabled()
    The new enabled flag for the user.

  - ### getUsername

    public String getUsername()
    The new username for the user.

  - ### getFirstName

    public String getFirstName()
    The new first name for the user.

  - ### getLastName

    public String getLastName()
    The new last name for the user.

  - ### getEmail

    public String getEmail()
    The new e-mail address for the user.

  - ### getGender

    public Gender getGender()
    The new gender for the user.

  - ### getTitle

    public String getTitle()
    The organizational title of the user.

  - ### getDepartment

    public String getDepartment()
    The organizational department of the user.

  - ### getLanguage

    public String getLanguage()
    The new language for the user.

  - ### getLicenseType

    @Deprecated public LicenseType getLicenseType()
    Deprecated.
    The license type of the user.

  - ### getAddresses

    public List<Address> getAddresses()
    The postal addresses of the user.

  - ### getPhones

    public List<PhoneNumber> getPhones()
    The phone numbers of the user.

  - ### getAdditionalEmailAddresses

    public List<Email> getAdditionalEmailAddresses()
    The additional e-mail addresses of the user.

  - ### getInstantMessagingAccounts

    public List<InstantMessagingAccount> getInstantMessagingAccounts()
    The instant messaging accounts of the user.

  - ### getWebsites

    public List<Website> getWebsites()
    The websites of the user.

  - ### getPasswordConfirmation

    public String getPasswordConfirmation()
    The password confirmation for the user when changing their email.

  - ### setId

    public void setId(UUID id)
    Required. The ID of the user to be changed.

  - ### setEnabled

    public void setEnabled(Boolean enabled)
    The new enabled flag for the user.

  - ### setUsername

    public void setUsername(String username)
    The new username for the user.

  - ### setFirstName

    public void setFirstName(String firstName)
    The new first name for the user.

  - ### setLastName

    public void setLastName(String lastName)
    The new last name for the user.

  - ### setEmail

    public void setEmail(String email)
    The new e-mail address for the user.

  - ### setGender

    public void setGender(Gender gender)
    The new gender for the user.

  - ### setTitle

    public void setTitle(String title)
    The organizational title of the user.

  - ### setDepartment

    public void setDepartment(String department)
    The organizational department of the user.

  - ### setLanguage

    public void setLanguage(String language)
    The new language for the user.

  - ### setLicenseType

    @Deprecated public void setLicenseType(LicenseType licenseType)
    Deprecated.
    The license type of the user.

  - ### setAddresses

    public void setAddresses(List<Address> addresses)
    The postal addresses of the user.

  - ### setPhones

    public void setPhones(List<PhoneNumber> phones)
    The phone numbers of the user.

  - ### setAdditionalEmailAddresses

    public void setAdditionalEmailAddresses(List<Email> additionalEmailAddresses)
    The additional e-mail addresses of the user.

  - ### setInstantMessagingAccounts

    public void setInstantMessagingAccounts(List<InstantMessagingAccount> instantMessagingAccounts)
    The instant messaging accounts of the user.

  - ### setWebsites

    public void setWebsites(List<Website> websites)
    The websites of the user.

  - ### setPasswordConfirmation

    public void setPasswordConfirmation(String passwordConfirmation)
    The password confirmation for the user when changing their email.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`